Antom, leading provider of tailored payment solutions

inquirePayout

POST /v1/aba/funds/inquirePayout

Use this interface to to query the fund payout result.

  • Please set up a timeout mechanism to stop the polling process, in case no conclusive payout result is reached.
  • If any notification from Antom is received more than two hours after calling the createPayout API, and the transferResult.resultCode showing UNKNOWN after calling the inquirePayout API, please contact Antom Technical Support for assistance.

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 


Note: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:

  • If the data type of a field is Integer and its value is 20, set it as "20". 
  • If the data type of a field is Boolean and its value is true, set it as "true". 

Request parameters

transferRequestId String  

The unique ID assigned by the merchant to identify a payout request.

Note: This field is required when the transferId parameter is empty.

More information:

  • Maximum length: 64 characters

transferId String  

The unique ID returned by Antom to identify a payout request. 

Note: This field is required when the transferRequestId parameter is empty.

More information:

  • Maximum size: 64 elements

Response parameters

result Object  REQUIRED

Indicates whether this API is called successfully. 

Show child parameters

transferResult Object  REQUIRED

The result of the transfer request.

Note: This field is returned on demand only when the value of result.resultStatus is S.

Show child parameters

transferRequestId String  

The unique ID assigned by the merchant to identify a transfer request.

Note: This field is returned on demand only when the value of result.resultStatus is S.

More information:

  • This field is an API idempotency field.
  • Maximum length: 64 characters

transferId String  REQUIRED

The unique ID assigned by Antom to identify a transfer.

Note: This field is returned on demand only when the value of result.resultStatus is S.

More information:

  • Maximum length: 64 characters

transferFinishTime Datetime  

The finishing time of a transfer.

Note: This field is returned on demand only when the value of result.resultStatus is S and the payout has finished processing.

More information:

  • The value follows the ISO 8601 standard format. For example, "2019-11-27T12:01:01+08:00".

transferFromDetail Object  

Transfer details submitted by the buyer.

Note: This field is returned on demand only when the value of result.resultStatus is S.

Show child parameters

transferToDetail Object  

Transfer details for the beneficiary.

Note: This field is returned on demand only when the value of result.resultStatus is S.

Show child parameters
API Explorer

Request

URL
Method
POST
Request Body

Response

Response Body

Result/Error codes

CodeValueMessageFurther action
SUCCESSSsuccess.

API is successfully called, not resembling order status

PARAM_ILLEGALFIllegal parameters exist. For example, a non-numeric input, or an invalid date.

Check and verify whether the request fields, including the header fields and body fields, are correct and valid.
For details on the fields of each API, see the specific API Structure section.

PROCESS_FAILFA general business failure occurred. Do not retry.

Human intervention is usually needed. It is recommended that you contact Antom Technical Support to resolve the issue.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

The service might be down, retry later. If the issue persists, contact Antom Technical Support.

REQUEST_TRAFFIC_EXCEED_LIMITUThe request traffic exceeds the limit.

Call the interface again to resolve the issue. If the issue persists, contact Antom Technical Support.

INVALID_APIFThe called API is invalid or not active.

Check whether the correct API is being called.

INVALID_CLIENTFThe client is invalid.

The Client ID does not exist or is invalid.

INVALID_SIGNATUREFThe signature is invalid.

Make sure the request is properly signed with a valid signature.

METHOD_NOT_SUPPORTEDFThe server does not implement the requested HTTP method.

Ensure the HTTP method is POST.

transferResult.resultCode

CodeValueMessageFurther action
SUCCESSSSuccess

API is successfully called, not resembling order status

PROCESSINGSProcessing

Try again later.

ORDER_NOT_FOUNDUOrder not found.

Retry with correct order information.

PROCESS_FAILFA general business failure occurred. Do not retry.

Human intervention is usually needed. It is recommended that you contact Antom Technical Support to resolve the issue.

ORDER_IS_REVERSEDFThe order is reversed.

Retry with another payout order.

USER_NOT_EXISTFThe user does not exist.

Retry with the correct user information.

USER_ACCOUNT_ABNORMALFThe user account status is abnormal.

Retry with a different user. If the issue persists, contact Antom Technical Support for more details.

USER_STATUS_ABNORMALFThe status of the user is abnormal. Retry with another card.

Retry with a different user.

AMOUNT_EXCEED_LIMITFThe amount exceeds the limit.

Make sure the amount submitted is correct and retry.

RISK_REJECTFThe transfer is rejected for risk control reasons.

Prompt the user that the request is rejected because the risk control failed.

CARD_INFO_NOT_MATCHFThe card information does not match.

Retry with the correct card information.

BALANCE_NOT_ENOUGHFBalance is not enough.

Make sure the balance is sufficient and retry.

CURRENCY_NOT_SUPPORTFThe currency is not supported.

Make sure the currency is correct and retry.

ORDER_NOT_EXISTFThe order does not exist.

Retry with another order.

UN_SUPPORT_BUSINESSFUnsupported business.

Retry with correct parameters.

USER_NO_PERMISSIONFUser does not have permission.

Check user permission and retry.

ORDER_IS_CLOSEDFThe order is closed.

Retry with another payout order.